Bug 115135 - Request to change Netlock's root CA certificate in the repository
Summary: Request to change Netlock's root CA certificate in the repository
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: kssl (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: George Staikos
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-26 19:21 UTC by Viktor Varga
Modified: 2006-06-08 11:44 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Viktor Varga 2005-10-26 19:21:01 UTC
Version:            (using KDE KDE 3.4.0)
Installed from:    Unspecified
OS:                Linux

A few months ago, one of the Netlock Class QA root certificate was added to the certificate repository.

But there was some change in hungarian regulations, and we should switch because these to the other root CA certificate (there was some predefined root CA certificate profile) to follow these regulations.

So, the actually used root CA certificate has different extension, follwing the regulations, and we wold like to ask you to change it.

(previous request is here: http://bugs.kde.org/show_bug.cgi?id=100097 )

The new Netlock Class QA certificate is the following.

Best regards. Viktor Varga

-----BEGIN CERTIFICATE-----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-----END CERTIFICATE-----
Comment 1 George Staikos 2005-10-26 19:29:16 UTC
  Have any other browsers taken this yet?
Comment 2 Viktor Varga 2005-10-26 19:34:34 UTC
Submitted to Microsoft.

I am now doing the change request ot to the other browsers.

I can come back, when other browsers are accepted them, and leave here a comment. Is it OK for you?
Comment 3 George Staikos 2005-10-26 19:56:51 UTC
On Wednesday 26 October 2005 13:34, Viktor Varga wrote:
> ------- Submitted to Microsoft.
>
> I am now doing the change request ot to the other browsers.
>
> I can come back, when other browsers are accepted them, and leave here a
> comment. Is it OK for you?


  Perfect.
Comment 4 Viktor Varga 2006-02-24 18:17:38 UTC
Mozilla/Firefox delays the avaibility the new certificate, but now it is avaible from the IE with the root update component.

You can check it, how it is downloading, when you install my certificate to your Windows.

From the following link, you can download my certificate, with the option "Tanusitvany letoltese".

http://www.netlock.hu/index.cgi?sid=000000000000000000&tid=m39L7CzWQoV5JZGKt2bwquV4P&typname=Szem%c3%a9lyes%20v%c3%a9gfelhaszn%c3%a1l%c3%b3i&caname=NetLock%20Minositett%20Kozjegyzoi%20(Class%20QA)%20Tanusitvanykiado&lang=HU&tem=ANONYMOUS/kereses/tanusit_adatok.tem&minositett

If you install it, then the crypt32 will access the Microsoft site, and downloads the regarding root certificate.

If you installed the root ca cert it manualy previously, then you should remove it before this to view the changes.

Is it enough to get into this new cert to the KDE?
Comment 5 George Staikos 2006-03-09 17:22:04 UTC
Why am I not seeing it in the latest IE update?
Comment 6 Viktor Varga 2006-03-10 12:58:04 UTC
Because now the Root update in the Windows works in a different way. There is no big update, only downloading the needed on the fly.

If you try download my QA certificate in Win XP you will see, it is downloading.

If you have donwloaded the QA root previously, remove it first to see the changes.

best regards, Viktor
Comment 7 Viktor Varga 2006-06-06 10:51:39 UTC
Dear George Staikos,

Now it is accepted and included into the Mozilla, as you can see in bugzilla:
https://bugzilla.mozilla.org/show_bug.cgi?id=313942

best regards, Viktor
Comment 8 George Staikos 2006-06-08 11:44:28 UTC
SVN commit 549334 by staikos:

update netlock QA class certificate due to re-issuance
BUG: 115135


 M             caroot/ca-bundle.crt  
 M  +1 -1      ksslcalist  
 M  +38 -44    netlock4.pem